xmonad-contrib-0.11.1: Third party extensions for xmonad

Portability | unportable
Stability | unstable
Maintainer | Spencer Janssen <spencerjanssen@gmail.com>
Safe Haskell | None

XMonad.Util.Dmenu

Contents

- Usage

Description

A convenient binding to dmenu.

Requires the process-1.0 package

Synopsis

- dmenu :: [String] -> X String
- dmenuXinerama :: [String] -> X String
- dmenuMap :: Map String a -> X (Maybe a)
- menu :: String -> [String] -> X String
- menuArgs :: String -> [String] -> [String] -> X String
- menuMap :: String -> Map String a -> X (Maybe a)
- menuMapArgs :: String -> [String] -> Map String a -> X (Maybe a)

# Usage

You can use this module with the following in your Config.hs file:

     import XMonad.Util.Dmenu

These functions block xmonad's event loop until dmenu exits; this means that programs will not be able to open new windows and you will not be able to change workspaces or input focus until you have responded to the prompt one way or another.

dmenu :: [String] -> X String

Run dmenu to select an option from a list.

dmenuXinerama :: [String] -> X String

Starts dmenu on the current screen. Requires this patch to dmenu: http://www.jcreigh.com/dmenu/dmenu-3.2-xinerama.patch

dmenuMap :: Map String a -> X (Maybe a)

Run dmenu to select an entry from a map based on the key.

menu :: String -> [String] -> X String

like `dmenu` but also takes the command to run.

menuArgs :: String -> [String] -> [String] -> X String

Like `menu` but also takes a list of command line arguments.

menuMap :: String -> Map String a -> X (Maybe a)

Like `dmenuMap` but also takes the command to run.

menuMapArgs :: String -> [String] -> Map String a -> X (Maybe a)

Like `menuMap` but also takes a list of command line arguments.